### Method

# Gck Session login_interactive

#### Declaration [src]

    gboolean
    gck_session_login_interactive (
      GckSession* self,
      gulong user_type,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Login the user on the session requesting the password interactively when necessary. This call may block for an indefinite period.

#### Parameters

`user_type`

  Type: `gulong`

  The type of login user.

`interaction`

  Type: `GTlsInteraction`

  Interaction to request PIN when necessary.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether successful or not.